"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createRouteHandler = createRouteHandler;

var _customRouter = _interopRequireDefault(require("custom-router"));

var _eventParser = _interopRequireDefault(require("./routing/eventParser"));

var _middlewares = require("./middlewares");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// pass function that receives a router configuration
function createRouteHandler(configure) {
  var eventParser = (0, _eventParser.default)({
    queryString: 'nestedQueryStringParameters'
  });
  var router = (0, _customRouter.default)(eventParser);
  configure(router);
  return (0, _middlewares.withDefaultMiddleware)(router.handle);
}