"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createEventParser;

function createEventParser(_ref) {
  var {
    queryString = 'multiValueQueryStringParameters'
  } = _ref;
  return (event, _context) => {
    var {
      path,
      headers,
      httpMethod: method,
      // multiValueQueryStringParameters: query,
      [queryString]: query,
      requestContext: {
        // NOTE: Lambda event paths are templates, not request paths:
        // { path: '/dev/connect/{proxy*}', resourcePath: '/connect/{proxy*}' }
        domainName: domain,
        path: templatePath,
        resourcePath
      }
    } = event;
    var pathPrefix = templatePath.substr(0, templatePath.length - resourcePath.length);
    return {
      method,
      path,
      pathPrefix,
      originalPath: "".concat(pathPrefix).concat(path),
      query,
      headers,
      domain
    };
  };
}