"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.eventToBaseUrl = eventToBaseUrl;

function eventToBaseUrl(_ref) {
  var {
    headers,
    requestContext: {
      domainName,
      path,
      resourcePath,
      resourceId
    }
  } = _ref;
  var protocol = headers['X-Forwarded-Proto'] || 'https';
  var port = headers['X-Forwarded-Port'];
  var segments = [protocol, '://', domainName];

  if (!['80', '443'].includes(port)) {
    segments.push(':', port);
  }

  var prefix = path.substr(0, path.length - resourcePath.length);

  if (prefix && resourceId !== 'offlineContext_resourceId') {
    segments.push(prefix);
  }

  return segments.join('');
}