"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.promiseLogger = exports.catchLogger = exports.thenLogger = void 0;

var thenLogger = caption => function () {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  console.log("[".concat(caption, ": OK]"), ...args);
  return Promise.resolve(...args);
};

exports.thenLogger = thenLogger;

var catchLogger = caption => function () {
  for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
    args[_key2] = arguments[_key2];
  }

  console.log("[".concat(caption, ": ERR]"), ...args);
  return Promise.reject(...args);
};

exports.catchLogger = catchLogger;

var promiseLogger = (caption, promise) => promise.then(thenLogger(caption)).catch(catchLogger(caption));

exports.promiseLogger = promiseLogger;